.rewards-container {
    width: 90%;
    max-width: 24rem;
    height: 90%;
    position: relative;
    gap: 2rem;
    background-color: var(--background-color);
    display: flex;
    justify-content: flex-start;
    flex-direction: column;
    align-items: center;
    align-content: center;
    margin-top: calc(var(--tg-safe-area-inset-top, 0px) + 3rem);
    padding-top: 0.5rem;
    padding-bottom: 0.75rem;
    box-sizing: border-box;
    overflow-y: scroll;
}

@media (max-width: 1024px) {
    .rewards-container {
        margin-top: calc(var(--tg-safe-area-inset-top, 0px) + 2.5rem);
        padding-top: 0.5rem;
        padding-bottom: 1rem;
    }
}

.stats-row {
    gap: 1rem;
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
}

.stats-grid {
    max-width: 22rem;
    width: fit-content;
    min-width: 12rem;
    aspect-ratio: 1.9;
    padding: 1rem;
    padding-top: 3rem;
    display: grid;
    gap: 0.5rem;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr;
    background: var(--block-color);
    border-radius: 1.6rem;
    position: relative;
}

.stats-placeholder {
    height: 100%;
    aspect-ratio: 1;
    background: var(--block-color);
    border-radius: 1.6rem;
    /* background-image устанавливается динамически через JavaScript */
    background-size: 60%;
    background-position: center;
    background-repeat: no-repeat;
}

#stats-header {
    color: var(--primary-color);
    font-weight: 600;
    margin: 0.5rem 0;
    text-align: center;
    font-size: 1.2rem;
    position: absolute;
    width: 100%;
    height: fit-content;
}

.stat-item {
    color: var(--primary-color);
    font-weight: 600;
    font-size: 0.9rem;
    border-radius: 0.6rem;
    background: var(--border-color);
    display: flex;
    padding: 0.25rem 0.5rem;
    gap: 1rem;
    align-items: center;
    justify-content: center;
    flex-direction: row;
    height: 100%;
    position: relative;
}

.stat-content {
    display: flex;
    min-height: 1.5rem;
    gap: 0.5rem;
    align-items: center;
    justify-content: center;
}

.stat-icon {
    height: 1.1rem;
    aspect-ratio: 1;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}

.stat-value {
    color: var(--primary-color);
    font-weight: 600;
    font-size: 1rem;
}

.tasks-container {
    width: 90%;
    display: flex;
    gap: 1rem;
    flex-direction: column;
    align-items: center;
}

.tasks-header {
    font-size: 1.1rem;
    color: var(--primary-color);
    font-weight: 600;
    text-align: center;
}

.tasks-list {
    width: 100%;
    max-width: 21rem;
    height: fit-content;
    display: flex;
    gap: 0.5rem;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.task-item {
    width: 100%;
    padding: 0.5rem 1rem;
    padding-bottom: 0.75rem;
    display: flex;
    background: var(--block-color);
    border-radius: 1.6rem;
    color: var(--primary-color);
    flex-direction: row;
    align-items: center;
}

.task-content {
    width: -webkit-fill-available;
}

.task-title {
    font-weight: 500;
}

.task-description {
    margin-top: -0.15rem -2.4px;
    font-size: 0.9rem;
    color: var(--text-secondary-color);
}
.task-progress-container {
    display: flex;
    /* margin-top: 0.5rem; */
    width: 90%;
    gap: 0.25rem;
    flex-direction: row;
    position: relative;
    align-items: flex-end;
}

.task-progress-bar {
    height: 0.25rem;
    margin-bottom: 0.35rem;
    width: calc(100% - 2rem);
    border-radius: 1rem;
    background: var(--border-color);
}

.task-progress-value {
    font-size: 0.9rem;
    /* position: absolute; */
    /* right: -1rem; */
    /* top: -0.75rem; */
}

.task-icon {
    height: 100%;
    max-height: 3.5rem;
    aspect-ratio: 1;
    border-radius: 50%;
    margin-top: 0.15rem;
    background: var(--border-color);
}

/* Скелетон анимация */
@keyframes skeleton-loading {
    0% {
        background-position: 100% 50%;
    }
    100% {
        background-position: 0 50%;
    }
}

.skeleton {
    background: linear-gradient(90deg, var(--border-color) 25%, var(--block-color) 37%, var(--border-color) 63%);
    background-size: 400% 100%;
    animation: skeleton-loading 1.4s ease infinite;
} 
